.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_PHashTranslation:

PHashTranslation
================

**Inherits:** :ref:`Translation<class_translation>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Optimized translation.

Member Functions
----------------

+-------+-----------------------------------------------------------------------------------------------------------+
| void  | :ref:`generate<class_PHashTranslation_generate>`  **(** :ref:`Translation<class_translation>` from  **)** |
+-------+-----------------------------------------------------------------------------------------------------------+

Description
-----------

Optimized translation. Uses real-time compressed translations, which results in very small dictionaries.

Member Function Description
---------------------------

.. _class_PHashTranslation_generate:

- void  **generate**  **(** :ref:`Translation<class_translation>` from  **)**


